public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pyilmbase/
Date: Sun, 27 Dec 2020 21:40:20 +0000 (UTC)	[thread overview]
Message-ID: <1609105215.ee2e85cf3fe33d4535b3b7149d5ff2f66c4a6aa1.sam@gentoo> (raw)

commit:     ee2e85cf3fe33d4535b3b7149d5ff2f66c4a6aa1
Author:     Bernd Waibel <waebbl <AT> gmail <DOT> com>
AuthorDate: Mon Dec 21 23:36:27 2020 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Dec 27 21:40:15 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ee2e85cf

dev-python/pyilmbase: bump to 2.5.3

Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Bernd Waibel <waebbl <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/18755
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-python/pyilmbase/Manifest               |  1 +
 dev-python/pyilmbase/pyilmbase-2.5.3.ebuild | 62 +++++++++++++++++++++++++++++
 2 files changed, 63 insertions(+)

diff --git a/dev-python/pyilmbase/Manifest b/dev-python/pyilmbase/Manifest
index fd35c16a42c..6880958cedc 100644
--- a/dev-python/pyilmbase/Manifest
+++ b/dev-python/pyilmbase/Manifest
@@ -1 +1,2 @@
 DIST pyilmbase-2.5.2.tar.gz 27525326 BLAKE2B c48a61513457f2c04f3a512963ae27eaf154933ffe7c6ff3e2d71f27f246ae624a34dbe6f8ab500c51a56898ad0f61e6784f5cd3f9c3df591ce347b46ba4ac88 SHA512 62f98695cf56600303db9c2d13d34cacc1851a103d8ffb7e7ce8c6d9d14e6bf02804836c718ae03e8d685ef3dda0cf7b2130e2d363f8095b22a15bf30d706fab
+DIST pyilmbase-2.5.3.tar.gz 27534825 BLAKE2B 4647b4aac074b10c0d1fb35ddb6b5acefca81c0f2debde04987b5df4e290b14b6406fc922949449aaeea7cf4be371a25c93f8fcb9f67c63d65276340bd586a21 SHA512 6da03193d4fea1e97e35008f59304ab408c521ead8495ba411cde5c172cf953be97999971f57398b813d14f1af1d722539a6b74d5ee54b9e74769ea8258d36ba

diff --git a/dev-python/pyilmbase/pyilmbase-2.5.3.ebuild b/dev-python/pyilmbase/pyilmbase-2.5.3.ebuild
new file mode 100644
index 00000000000..d755ffeb135
--- /dev/null
+++ b/dev-python/pyilmbase/pyilmbase-2.5.3.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+inherit cmake python-single-r1
+
+DESCRIPTION="IlmBase Python bindings"
+HOMEPAGE="https://www.openexr.com"
+SRC_URI="https://github.com/AcademySoftwareFoundation/openexr/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0/25"
+KEYWORDS="~amd64 ~x86"
+IUSE="exceptions +numpy test"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	${PYTHON_DEPS}
+	~media-libs/ilmbase-${PV}:=
+	sys-libs/zlib
+	$(python_gen_cond_dep '
+		>=dev-libs/boost-1.62.0-r1:=[python,${PYTHON_MULTI_USEDEP}]
+		numpy? ( >=dev-python/numpy-1.10.4[${PYTHON_MULTI_USEDEP}] )
+	')
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	app-admin/chrpath
+	virtual/pkgconfig
+"
+
+S="${WORKDIR}/openexr-${PV}/PyIlmBase"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-2.5.2-0001-Fix-pkgconfig-file-for-PyIlmBase-to-include-prefixes.patch
+)
+
+DOCS=( README.md )
+
+src_configure() {
+	local mycmakeargs=(
+		-DCMAKE_DISABLE_FIND_PACKAGE_Python2=ON
+		-DPYILMBASE_INSTALL_PKG_CONFIG=ON
+		-DPYIMATH_ENABLE_EXCEPTIONS=$(usex exceptions)
+		-DPython3_EXECUTABLE="${PYTHON}"
+		-DPython3_INCLUDE_DIR=$(python_get_includedir)
+		-DPython3_LIBRARY=$(python_get_library_path)
+	)
+	cmake_src_configure
+}
+
+src_install() {
+	cmake_src_install
+	if use numpy; then
+		python_domodule "${BUILD_DIR}/${EPYTHON/./_}/imathnumpy.so"
+		chmod +x "${D}/$(python_get_sitedir)/imathnumpy.so" || die
+		chrpath -d "${D}/$(python_get_sitedir)/imathnumpy.so" || die
+	fi
+}


             reply	other threads:[~2020-12-27 21:40 UTC|newest]

Thread overview: 23+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-12-27 21:40 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-02-28  5:21 [gentoo-commits] repo/gentoo:master commit in: dev-python/pyilmbase/ Sam James
2022-02-18 22:48 Sam James
2021-10-17  9:20 Michał Górny
2021-07-10 10:43 Agostino Sarubbo
2021-06-02 19:01 Sam James
2021-06-01  0:28 Sam James
2021-02-27 16:38 Sam James
2021-02-27 16:38 Sam James
2021-02-26 15:18 Sam James
2021-02-16 19:19 Sam James
2021-02-07 17:07 Conrad Kostecki
2021-01-24  1:48 Sam James
2021-01-24  1:48 Sam James
2020-08-07 11:44 Agostino Sarubbo
2020-08-02 10:40 Andreas Sturmlechner
2020-07-21 19:39 Andreas Sturmlechner
2020-02-09 16:18 Michał Górny
2020-01-22 21:50 Michał Górny
2019-07-21 11:58 Andreas Sturmlechner
2019-06-14 15:01 Agostino Sarubbo
2019-06-13 14:49 Agostino Sarubbo
2017-12-16 13:55 Ulrich Müller

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1609105215.ee2e85cf3fe33d4535b3b7149d5ff2f66c4a6aa1.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox